<?php

namespace App\Modules\DefinedService\TypeDefinedService\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListTypeDefinedServiceQuery implements Query
{
    public function __construct(
        private int $idTypeProvider,
        private string $action
    ) {}

    public function idTypeProvider(): int
    {
        return $this->idTypeProvider;
    }

    public function action(): string
    {
        return $this->action;
    }
}
